#!/bin/sh
# Send warnings to problem package owners
# This is a bit distribution-specific, people from other distributions are
# welcome to suggest how to make it more agnostic

#EMAIL="repo-font-audit <your@mail>"
#REPLYTO=another@mail

#export EMAIL REPLYTO

for srpm in \
saab-fonts \
spring \
xlockmore \
drehatlas-warender-bibliothek-fonts \
drehatlas-widelands-fonts \
drehatlas-xaporho-fonts \
fvwm \
htmldoc \
apa-new-athena-unicode-fonts \
beteckna-fonts \
cf-bonveno-fonts \
chisholm-letterslaughing-fonts \
conakry-fonts \
gargi-fonts \
oflb-notcouriersans-fonts \
oflb-prociono-fonts \
oldstandard-sfd-fonts \
nx \
tigervnc \
ember-media \
aterm \
fbdesk \
fluxbox \
koffice \
libdockapp \
perl-Tk \
rxvt \
rxvt-unicode \
torsmo \
WindowMaker \
wine \
pango \
abyssinica-fonts \
nafees-web-naskh-fonts \
cave9 \
glest \
xawtv \
openoffice.org \
baekmuk-bdf-fonts \
baekmuk-ttf-fonts \
cjkuni-fonts \
liberation-fonts \
taipeifonts \
alliance \
dinotrace \
gds2pov \
irsim \
ngspice \
xcircuit \
xskat \
fonts-hebrew-fancy \
java-1.6.0-openjdk \
grads \
pgfouine \
emacs \
zbar \
exim \
ncview \
x11-ssh-askpass \
wqy-bitmap-fonts \
wqy-unibit-fonts \
wqy-zenhei-fonts \
linux-libertine-fonts \
aalib \
clisp \
hugs98 \
lush \
ocaml-lablgl \
ocaml \
plt-scheme \
TeXmacs \
ucblogo \
xaos \
icewm \
enlightenment \
sil-lateef-fonts \
sil-scheherazade-fonts \
simspark \
chisholm-to-be-continued-fonts \
libprojectM \
sK1 \
oflb-riordonfancy-fonts \
GraphicsMagick \
grace \
python-imaging \
xdvik \
graphviz \
gcl \
xemacs-packages-extra \
xemacs \
xwrits \
nedit \
texlive-texmf \
phoronix-test-suite \
asana-math-fonts \
brettfont-fonts \
icelandic-fonts \
roadstencil-fonts \
sportrop-fonts \
efte \
gromacs \
pokerth \
xine-ui \
lirc \
egoboo-data \
freecol \
hedgewars \
ImageMagick \
lesstif \
MagicPoint \
ogre \
scorched3d \
sdljava \
seahorse-adventures \
TnL-data \
trackballs \
xarchon \
xblast \
cgoban \
xboard \
xdaliclock \
widelands \
x3270 \
groff \
libsx \
perl-PDL \
xfig \
fontforge \
levien-inconsolata-fonts \
munin \
cernlib \
cernlib-g77 \
cernlib \
ddd \
gnubg \
gnu-free-fonts \
lilypond \
moodle \
wesnoth \
xgalaxy \
xmoto \
koules \
saoimage \
starlab \
yofrankie-bge \
nethack \
python-tw-jquery \
xastir \
darkgarden-fonts \
thibault-fonts \
calibre \
gtk2 \
nethack-vultures \
jomolhari-fonts \
tibetan-machine-uni-fonts \
myanmar3-unicode-fonts \
sil-padauk-fonts \
conky \
xterm \
khmeros-fonts \
kurdit-unikurd-web-fonts \
efont-unicode-bdf \
jfbterm \
monafont \
tgif \
xplanet \
xscreensaver \
xtide \
kst \
libotf \
nted \
terminus-fonts \
adf-accanthis-fonts \
adf-tribun-fonts \
apanov-edrip-fonts \
apanov-heuristica-fonts \
bitstream-vera-fonts \
dejavu-fonts \
ecolier-court-fonts \
gfs-ambrosia-fonts \
gfs-artemisia-fonts \
gfs-baskerville-fonts \
gfs-bodoni-classic-fonts \
gfs-bodoni-fonts \
gfs-complutum-fonts \
gfs-decker-fonts \
gfs-didot-classic-fonts \
gfs-didot-fonts \
gfs-eustace-fonts \
gfs-fleischman-fonts \
gfs-garaldus-fonts \
gfs-gazis-fonts \
gfs-ignacio-fonts \
gfs-jackson-fonts \
gfs-neohellenic-fonts \
gfs-nicefore-fonts \
gfs-olga-fonts \
gfs-philostratos-fonts \
gfs-porson-fonts \
gfs-pyrsos-fonts \
gfs-solomos-fonts \
gfs-theokritos-fonts \
google-droid-fonts \
senamirmir-washra-fonts \
sil-andika-fonts \
sil-charis-compact-fonts \
sil-charis-fonts \
stix-fonts \
yanone-kaffeesatz-fonts \
tk \
extremetuxracer \
canorus \
ctan-musixtex-fonts \
mscore \
serafettin-cartoon-fonts \
gridengine \
ncl \
k3d \
knm_new-fonts \
plotutils \
windowlab \
metacity \
gdouros-aegean-fonts \
gdouros-aegyptus-fonts \
gdouros-akkadian-fonts \
gdouros-alexander-fonts \
gdouros-analecta-fonts \
gdouros-musica-fonts \
msimonson-anonymouspro-fonts \
hartke-aurulent-sans-fonts \
vollkorn-fonts \
yanone-tagesschrift-fonts \
mutter \
thai-scalable-fonts \
gtk+ \
bitmap-fonts \
fonts-ISO8859-2 \
madan-fonts \
culmus-fonts \
lklug-fonts \
lohit-assamese-fonts \
lohit-bengali-fonts \
lohit-gujarati-fonts \
lohit-hindi-fonts \
lohit-kannada-fonts \
lohit-kashmiri-fonts \
lohit-konkani-fonts \
lohit-maithili-fonts \
lohit-malayalam-fonts \
lohit-marathi-fonts \
lohit-nepali-fonts \
lohit-oriya-fonts \
lohit-sindhi-fonts \
lohit-tamil-fonts \
lohit-telugu-fonts \
samyak-fonts \
smc-fonts \
ucs-miscfixed-fonts \
inkboy-fonts \
glob2 \
dx \
freefem++ \
gabedit \
kacst-fonts \
paktype-fonts \
sil-gentium-basic-fonts \
fltk \
geomview \
lyx \
xforms \
grass \
mapserver \
xpaint \
sil-doulos-fonts \
sil-gentium-fonts \
denemo \
clips \
aplus-fsf \
oflb-smonohand-fonts \
pothana2000-fonts \
vemana2000-fonts \
ctan-cm-lgc-fonts \
ctan-kerkis-fonts \
mgopen-fonts \
rosegarden4 \
dustin-domestic-manners-fonts \
dustin-dustismo-fonts \
sj-fonts \
un-core-fonts \
un-extra-fonts \
9wm \
allgeyer-fonts \
artwiz-aleczapka-fonts \
bpg-fonts \
gbdfed \
lincity-ng \
oflb-goudy-bookletter-1911-fonts \
R \
silkscreen-fonts \
tiresias-fonts \
woodardworks-laconic-fonts \
xmbdfed \
libXaw \
libXt \
tuxpaint \
zvbi \
sarai-fonts \
hanazono-fonts \
ipa-gothic-fonts \
ipa-mincho-fonts \
ipa-pgothic-fonts \
ipa-pmincho-fonts \
japanese-bitmap-fonts \
jisksp16-1990-fonts \
kinput2 \
knm-new-fixed-fonts \
sazanami-fonts \
vlgothic-fonts \
mrxvt \
e16 \
e16-themes \
eterm \
gle \
xosview \
fonts-KOI8-R \
kdebase3 \
kdebase-workspace \
qt3 \
qt \
urw-fonts \
directfb \
fillets-ng-data \
hackedbox \
libcaca \
pigment \
enigma \
flumotion \
dzen2 \
ns-bola-fonts \
ns-tiza-chalk-fonts \
tkgate \
tulrich-tuffy-fonts \
childsplay \
a2ps \
ghostscript-fonts \
ghostscript \
gnuplot \
crossfire-client \
manaworld \
neverball \
wormux \
xpilot-ng \
yadex \
xorg-x11-apps \
xorg-x11-fonts \
xorg-x11-twm \
poker2d \
poker3d-data \
pygame \
xmonad \
; do
  tar -xf $srpm.tar.xz */message.txt -O \
    | mutt -s "[RFA] Your $srpm fedora-devel package did not pass QA" \
           -a $srpm.tar.xz -- $srpm-owner@fedoraproject.org
  sleep 5
done

